## expeyes 4.3.6+dfsg

=== Makefile ===
DESTDIR =
SUBDIRS = bin po firmware clib/expeyes-clib microhope \
          microhope/po microhope/microhope-doc
SUBDIRS_INDEP = expeyes-web eyes17/lang

all:
	python setup.py build
	python3 setup.py build
	for d in $(SUBDIRS); do \
	  if [ -f $$d/configure.ac ]; then \
	    (cd $$d; autoreconf --install;) \
	  fi; \
	  if [ -x $$d/configure ]; then \
	    (cd $$d; ./configure -prefix=/usr; make all;) \
	  else \
	    make -C $$d $@; \
	  fi; \
	done
	# make the bootloader hex file
	make -C microhope/firmware atmega32

all_indep:
	for d in $(SUBDIRS_INDEP); do \
	  make -C $$d all; \
	done

install:
	# for python-expeyes
	if grep -Eq "Debian|Ubuntu" /etc/issue; then \
	  python setup.py install --install-layout=deb \
	         --root=$(DESTDIR)/ --prefix=/usr; \
	  python3 setup.py install --install-layout=deb \
	         --root=$(DESTDIR)/ --prefix=/usr; \
	else \
	  python setup.py install --root=$(DESTDIR)/ --prefix=/usr; \
	  python3 setup.py install --root=$(DESTDIR)/ --prefix=/usr; \
	fi
	install -d $(DESTDIR)/lib/udev/rules.d/
	install -m 644 99-phoenix.rules $(DESTDIR)/lib/udev/rules.d/
	# for expeyes
	install -d $(DESTDIR)/usr/share/expeyes
	cp -a eyes eyes-junior eyes17 $(DESTDIR)/usr/share/expeyes
	# icons
	install -d $(DESTDIR)/usr/share/icons
	install -m 644 pixmaps/expeyes-logo.png \
	  $(DESTDIR)/usr/share/icons/expeyes.png
	install -m 644 pixmaps/expeyes-junior-icon.png \
	  $(DESTDIR)/usr/share/icons
	install -m 644 pixmaps/eyes17-logo.png \
	  $(DESTDIR)/usr/share/icons
	install -m 644 pixmaps/expeyes-progman-jr-doc.png \
	  $(DESTDIR)/usr/share/icons
	install -m 644 pixmaps/expeyes-progman-jr-doc.svg \
	  $(DESTDIR)/usr/share/icons
	install -m 644 pixmaps/nuclear-icon.png \
	  $(DESTDIR)/usr/share/icons
	# desktop files
	install -d $(DESTDIR)/usr/share/applications
	install -m 644 desktop/expeyes.desktop \
	  desktop/expeyes-junior.desktop desktop/Phoenix-ASM.desktop \
	  desktop/expeyes-17.desktop \
	  $(DESTDIR)/usr/share/applications
	make -C po install DESTDIR=$(DESTDIR)
	# for expeyes-doc-common
	install -d $(DESTDIR)/usr/share/icons
	install -m 644 pixmaps/*doc.png $(DESTDIR)/usr/share/icons
	install -d $(DESTDIR)/usr/share/applications
	install -m 644 desktop/*doc.desktop $(DESTDIR)/usr/share/applications
	# subdirs stuff
	for d in $(SUBDIRS); do \
	  make -C $$d $@ DESTDIR=$(DESTDIR); \
	done
	# fix permissions in /usr/share/expeyes
	find $(DESTDIR)/usr/share/expeyes -type f -exec chmod 644 {} \;
	# for expeyes-clib
	ln -s /usr/lib/expeyes $(DESTDIR)/usr/share/expeyes/clib

install_indep:
	for d in $(SUBDIRS_INDEP); do \
	  make -C $$d install DESTDIR=$(DESTDIR); \
	done


clean:
	rm -rf *~ *.pyc build/ eyes/*~ eyes/*.pyc eyes-junior/*~ eyes-junior/*.pyc doc/fr/Docs/eyes.out
	for d in $(SUBDIRS) $(SUBDIRS_INDEP); do \
	  [ ! -f $$d/Makefile ] || make -C $$d distclean || make -C $$d clean; \
	done
	# clean the bootloader hex file
	make -C microhope/firmware clean
	# clean the autconf generated files
	for f in  Makefile.in aclocal.m4 config.guess config.sub configure ltmain.sh m4/libtool.m4 m4/ltoptions.m4 m4/ltversion.m4 src/Makefile.in; do \
	  rm -f clib/expeyes-clib/$$f; \
	done


.PHONY: all all_indep install install_indep clean

=== po/Makefile ===
DESTDIR =
SOURCES = $(shell ls ../eyes/*.py ../expeyes/*.py ../eyes-junior/*.py ../microhope/create-microhope-env ../microhope/*.py)
POFILES = $(shell ls *.po)
MOFILES = $(patsubst %.po, %.mo, $(POFILES))
LANG = $(patsubst %.po, %, $(POFILES))

all: $(MOFILES)

%.mo: %.po
	msgfmt --output-file=$@ $<

$(POFILES): messages.pot
	for f in $(POFILES); do \
	  msgmerge --update --previous $$f messages.pot; \
	done

messages.pot: $(SOURCES)
	if [ -f $@ ]; then \
	  xgettext --output=$@  --language=python --join-existing --keyword=_ --add-location $(SOURCES); \
	else \
	  xgettext --output=$@  --language=python --keyword=_ --add-location $(SOURCES); \
	fi

clean:
	rm -f messages.pot *.mo *~

install: all
	for l in $(LANG); do \
	  install -d $(DESTDIR)/usr/share/locale/$$l/LC_MESSAGES; \
	  install -m 644 $$l.mo $(DESTDIR)/usr/share/locale/$$l/LC_MESSAGES/expeyes.mo; \
	done

.PHONY: all clean install

=== eyes17/lang/Makefile ===
DESTDIR =
TS_FILES = $(shell ls *.ts)
QM_FILES = $(patsubst %.ts, %.qm, $(TS_FILES))
SOURCES = $(shell ls ../*py ../code/*.py)
PYLUPDATE ?= pylupdate4

all: $(QM_FILES)

$(QM_FILES): $(TS_FILES)
	lrelease-qt4 eyes17.pro

$(TS_FILES): eyes17.pro
	$(PYLUPDATE) eyes17.pro

eyes17.pro: $(SOURCES)
	echo "# GENERATED FILE, DO NOT EDIT" > $@
	echo "SOURCES = $(SOURCES)" >> $@
	echo "TRANSLATIONS = $(TS_FILES)"  >> $@

clean:
	rm -f *~ $(QM_FILES) eyes17.pro

install:

.PHONY: all clean install

=== microhope/firmware/Makefile ===
# Makefile for ATmegaBOOT
# E.Lins, 18.7.2005
# $Id$
#
# Instructions
#
# To make bootloader .hex file:
# make diecimila
# make lilypad
# make ng
# etc...
#
# To burn bootloader .hex file:
# make diecimila_isp
# make lilypad_isp
# make ng_isp
# etc...

# program name should not be changed...
PROGRAM    = Bootloader

# enter the parameters for the avrdude isp tool
ISPTOOL	   = avrisp2
ISPPORT	   = /dev/tty.PL2303-00001004
ISPSPEED   = -b 115200

MCU_TARGET = atmega168
LDSECTION  = --section-start=.text=0x3800

# the efuse should really be 0xf8; since, however, only the lower
# three bits of that byte are used on the atmega168, avrdude gets
# confused if you specify 1's for the higher bits, see:
# http://tinker.it/now/2007/02/24/the-tale-of-avrdude-atmega168-and-extended-bits-fuses/
#
# similarly, the lock bits should be 0xff instead of 0x3f (to
# unlock the bootloader section) and 0xcf instead of 0x0f (to
# lock it), but since the high two bits of the lock byte are
# unused, avrdude would get confused.

ISPFUSES    = avrdude -c $(ISPTOOL) -p $(MCU_TARGET) -P $(ISPPORT) $(ISPSPEED) \
-e -u -U lock:w:0x3f:m  -U hfuse:w:0x$(HFUSE):m -U lfuse:w:0x$(LFUSE):m
# -U efuse:w:0x$(EFUSE):m
ISPFLASH    = avrdude -c $(ISPTOOL) -p $(MCU_TARGET) -P $(ISPPORT) $(ISPSPEED) \
-U flash:w:$(PROGRAM)_$(TARGET).hex -U lock:w:0x0f:m

STK500 = "C:\Program Files\Atmel\AVR Tools\STK500\Stk500.exe"
STK500-1 = $(STK500) -e -d$(MCU_TARGET) -pf -vf -if$(PROGRAM)_$(TARGET).hex \
-lFF -LFF -f$(HFUSE)$(LFUSE) -EF8 -ms -q -cUSB -I200kHz -s -wt
STK500-2 = $(STK500) -d$(MCU_TARGET) -ms -q -lCF -LCF -cUSB -I200kHz -s -wt


OBJ        = $(PROGRAM).o
OPTIMIZE   = -O2

DEFS       = 
LIBS       =

CC         = avr-gcc

# Override is only needed by avr-lib build system.

override CFLAGS        = -g -Wall $(OPTIMIZE) -mmcu=$(MCU_TARGET) -DF_CPU=$(AVR_FREQ) $(DEFS)
override LDFLAGS       = -Wl,$(LDSECTION)
#override LDFLAGS       = -Wl,-Map,$(PROGRAM).map,$(LDSECTION)

OBJCOPY        = avr-objcopy
OBJDUMP        = avr-objdump

all:

lilypad: TARGET = lilypad
lilypad: CFLAGS += '-DMAX_TIME_COUNT=F_CPU>>1' '-DNUM_LED_FLASHES=3'
lilypad: AVR_FREQ = 8000000L
lilypad: $(PROGRAM)_lilypad.hex

lilypad_isp: lilypad
lilypad_isp: TARGET = lilypad
lilypad_isp: HFUSE = DD
lilypad_isp: LFUSE = E2
lilypad_isp: EFUSE = 00
lilypad_isp: isp

lilypad_resonator: TARGET = lilypad_resonator
lilypad_resonator: CFLAGS += '-DMAX_TIME_COUNT=F_CPU>>4' '-DNUM_LED_FLASHES=3'
lilypad_resonator: AVR_FREQ = 8000000L
lilypad_resonator: $(PROGRAM)_lilypad_resonator.hex

lilypad_resonator_isp: lilypad_resonator
lilypad_resonator_isp: TARGET = lilypad_resonator
lilypad_resonator_isp: HFUSE = DD
lilypad_resonator_isp: LFUSE = C6
lilypad_resonator_isp: EFUSE = 00
lilypad_resonator_isp: isp

pro8: TARGET = pro_8MHz
pro8: CFLAGS += '-DMAX_TIME_COUNT=F_CPU>>4' '-DNUM_LED_FLASHES=1' '-DWATCHDOG_MODS'
pro8: AVR_FREQ = 8000000L
pro8: $(PROGRAM)_pro_8MHz.hex

pro8_isp: pro8
pro8_isp: TARGET = pro_8MHz
pro8_isp: HFUSE = DD
pro8_isp: LFUSE = C6
pro8_isp: EFUSE = 00
pro8_isp: isp

pro16: TARGET = pro_16MHz
pro16: CFLAGS += '-DMAX_TIME_COUNT=F_CPU>>4' '-DNUM_LED_FLASHES=1' '-DWATCHDOG_MODS'
pro16: AVR_FREQ = 16000000L
pro16: $(PROGRAM)_pro_16MHz.hex

pro16_isp: pro16
pro16_isp: TARGET = pro_16MHz
pro16_isp: HFUSE = DD
pro16_isp: LFUSE = C6
pro16_isp: EFUSE = 00
pro16_isp: isp

pro20: TARGET = pro_20mhz
pro20: CFLAGS += '-DMAX_TIME_COUNT=F_CPU>>4' '-DNUM_LED_FLASHES=1' '-DWATCHDOG_MODS'
pro20: AVR_FREQ = 20000000L
pro20: $(PROGRAM)_pro_20mhz.hex

pro20_isp: pro20
pro20_isp: TARGET = pro_20mhz
pro20_isp: HFUSE = DD
pro20_isp: LFUSE = C6
pro20_isp: EFUSE = 00
pro20_isp: isp

diecimila: TARGET = diecimila
diecimila: CFLAGS += '-DMAX_TIME_COUNT=F_CPU>>4' '-DNUM_LED_FLASHES=1'
diecimila: AVR_FREQ = 16000000L 
diecimila: $(PROGRAM)_diecimila.hex

diecimila_isp: diecimila
diecimila_isp: TARGET = diecimila
diecimila_isp: HFUSE = DD
diecimila_isp: LFUSE = FF
diecimila_isp: EFUSE = 00
diecimila_isp: isp

ng: TARGET = ng
ng: CFLAGS += '-DMAX_TIME_COUNT=F_CPU>>1' '-DNUM_LED_FLASHES=3'
ng: AVR_FREQ = 16000000L
ng: $(PROGRAM)_ng.hex

ng_isp: ng
ng_isp: TARGET = ng
ng_isp: HFUSE = DD
ng_isp: LFUSE = FF
ng_isp: EFUSE = 00
ng_isp: isp

atmega328: TARGET = atmega328
atmega328: MCU_TARGET = atmega328p
atmega328: CFLAGS += '-DMAX_TIME_COUNT=F_CPU>>4' '-DNUM_LED_FLASHES=1' -DBAUD_RATE=57600
atmega328: AVR_FREQ = 16000000L 
atmega328: LDSECTION  = --section-start=.text=0x7800
atmega328: $(PROGRAM)_atmega328.hex

atmega328_isp: atmega328
atmega328_isp: TARGET = atmega328
atmega328_isp: MCU_TARGET = atmega328p
atmega328_isp: HFUSE = DA
atmega328_isp: LFUSE = FF
atmega328_isp: EFUSE = 05
atmega328_isp: isp

atmega32: TARGET = atmega32
atmega32: MCU_TARGET = atmega32
atmega32: CFLAGS += '-DMAX_TIME_COUNT=F_CPU>>4' '-DNUM_LED_FLASHES=1' 
atmega32: AVR_FREQ = 8000000L 
atmega32: LDSECTION  = --section-start=.text=0x7800
atmega32: $(PROGRAM)_atmega32.hex

atmega32_isp: atmega32
atmega32_isp: TARGET = atmega32
atmega32_isp: MCU_TARGET = atmega32
atmega32_isp: HFUSE = DA
atmega32_isp: LFUSE = FF
atmega32_isp: isp


isp: $(TARGET)
	$(ISPFUSES)
	$(ISPFLASH)

isp-stk500: $(PROGRAM)_$(TARGET).hex
	$(STK500-1)
	$(STK500-2)

%.elf: $(OBJ)
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^ $(LIBS)

clean:
	rm -rf *.o *.elf *.lst *.map *.sym *.lss *.eep *.srec *.bin *.hex

%.lst: %.elf
	$(OBJDUMP) -h -S $< > $@

%.hex: %.elf
	$(OBJCOPY) -j .text -j .data -O ihex $< $@

%.srec: %.elf
	$(OBJCOPY) -j .text -j .data -O srec $< $@

%.bin: %.elf
	$(OBJCOPY) -j .text -j .data -O binary $< $@

=== debian/changelog ===
expeyes (4.3.6+dfsg-6) unstable; urgency=medium

  * yet another modification of debian/rules, in order to prevent
    the shell command to return False.

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 14 Jan 2018 19:04:02 +0100

expeyes (4.3.6+dfsg-5) unstable; urgency=medium

  * another modification of debian/rules, as probably compilations in
    the debian compile farm do not like some repeated actions.

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 14 Jan 2018 14:15:29 +0100

expeyes (4.3.6+dfsg-4) unstable; urgency=medium

  * simplified debian/rules, to allow the package to be compiled on
    other architectures

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 13 Jan 2018 18:52:57 +0100

expeyes (4.3.6+dfsg-3) unstable; urgency=medium

  * downgraded Depends to Recommends: for python3-pyqt5.qtwebengine; this
    should not harm since this package interests only users with i386 or
    amd64 architectures, and that they use to get recommended packages.
    Then, it should prevent unsatifiable dependencies for other platforms.
  * upgraded Standards-Version: 4.1.3

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 13 Jan 2018 17:12:26 +0100

expeyes (4.3.6+dfsg-2) unstable; urgency=medium

  * fixed 99-phoenix.rules, thanks to Ajith Kumar's remarks.

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 04 Jan 2018 12:44:35 +0100

expeyes (4.3.6+dfsg-1) unstable; urgency=medium

  * New upstream release
  * modified the dependency chain: the recommendation of
    expeyes-doc-en|expeyes-doc comes now from the package expeyes
    rather from python-expeyes.
  * modified the set of files installed with eyes17, to include
    the user manual.
  * added expeyes/qtiplot_script.py in debian/ expeyes.install
  * fixed debian/copyright

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 04 Jan 2018 10:55:33 +0100

expeyes (4.3.5+dfsg-2) unstable; urgency=medium

  * added more dependencies for eyes17, thanks to Ajith's Kumar
    feedback.
  * remove the recommendation eyes17 -> expeyes-web
  * created a symlink /etc/udev/rules.d/99-phoenix.rules =>
    /lib/udev/rules.d/99-phoenix.rules in python-expeyes.postinst,
    checked that this symlink is removed by  by the postrm script.

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 03 Jan 2018 22:41:27 +0100

expeyes (4.3.5+dfsg-1) unstable; urgency=medium

  * New upstream release
  * changed the Recommends relations, to make weak dependencies
    from expeyes to xmgrace, rather than from python-expeyes.
  * enforced the dependency python*-serial (>= 2.6)

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 16 Dec 2017 19:32:45 +0100

expeyes (4.3.4+dfsg-1) unstable; urgency=medium

  * New upstream release
  * removed the build-indep dependencies since the package keeps the
    PDF files for microhope alongside with sources
  * upgraded Standards-Version: 4.1.2; debhelper (>= 10)
  * modified bin/eyes17 to use python3 and Qt5 by default

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 09 Dec 2017 16:40:24 +0100

expeyes (4.3.3+dfsg-1) unstable; urgency=medium

  * New upstream release
  * signaled the license of eyes17/pythonSyntax.py, and rewritten
    debian/copyright to the new format
  * moved python*-pygrace from dependencies to recommendations.

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 29 Oct 2017 20:29:23 +0100

expeyes (4.3.2+dfsg-2) unstable; urgency=medium

  * added a dependency python-expeyes -> udev
  * modified the postinst file for python-expeyes to prevent piupart's
    failure (udev cannot be started in a chroot)

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 24 Oct 2017 18:06:29 +0200

expeyes (4.3.2+dfsg-1) unstable; urgency=medium

  * New upstream release, which adds more translations
  * removed unused dependencies on python*-usb: Closes: #773202
  * Keep pdf precompiled file in the source package (the PDF comes
    with its source in LyX format). Closes: #878751
  * added the German translation: Closes: #877323

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 08 Oct 2017 19:56:07 +0200

expeyes (4.3.1+dfsg-1) unstable; urgency=medium

  * New upstream release, which add support for eyes17.
  * separated the generation of *-doc* packages: another
    source package will be created. Changed the dependencies accordingly.
  * added the "Package: eyes17" entry in debian/control
  * modified those .install files  and created .manpages ...
    - expeyes.install expeyes.manpages
    - eyes17.install eyes17.manpages
    - python-expeyes.install
  * removed an obsoleted part from python-expeyes.postinst
  * new .post* files: eyes17.postinst
  * new .pre* files: eyes17.prerm
  * changed slightly d/rules to take in account eyes17
  * removed obsolete debian patches
  * added pt.po given by traduz@debianpt.org. Closes: #877107
  * fixed get-newest-source.sh: the debian/ subdirectory must not be
    taken from "upstream". Other changes in the file were made to erase
    sourceless files in the directory ExpEYES17/Firmware/

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 30 Sep 2017 11:54:33 +0200

expeyes (4.2.1+dfsg-4) unstable; urgency=medium

  * added an instruction to create a missing directory.
    Closes: #876536

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 24 Sep 2017 15:06:46 +0200

expeyes (4.2.1+dfsg-3) unstable; urgency=medium

  * Modified the postinst routine for expeyes-web. Closes: #876124

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 19 Sep 2017 18:09:32 +0200

expeyes (4.2.1+dfsg-2) unstable; urgency=medium

  * improved the integration of expeyes-web: added templates to
    configure the web server's base URL, the link to the school's Homepage.
  * translated the new debconf templates to French.
  * replaced an uglified JS file in the source by a symlink in the binary
    package expeyes-web, and wrote a lintian override.

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 17 Sep 2017 16:50:21 +0200

=== debian/control ===
Source: expeyes
Section: science
Priority: extra
Maintainer: Georges Khaznadar <georgesk@debian.org>
Build-Depends: debhelper (>= 10), quilt, python3-all, python-all,
 gcc-avr, binutils-avr, avr-libc (>=1:1.8.0+Atmel3.5.0),
 pkg-config, libgtk2.0-dev, x11proto-randr-dev (>= 1.5.0),
 pyqt4-dev-tools, qt4-linguist-tools
X-Python-Version: >= 2.5
X-Python3-Version: >= 3.2
Standards-Version: 4.1.3
Homepage: http://expeyes.in/

Package: expeyes
Architecture: all
Depends: python, python3, ${misc:Depends},
 python-expeyes (= ${source:Version}),
 python3-pil.imagetk, python-pil.imagetk,
 tix,  python3-tk, python-tk, udev
Recommends: python-numpy, python-scipy, python3-numpy, python3-scipy,
 expeyes-web, qtiplot, python-pygrace(>=0.5),python3-pygrace(>=0.5),
 expeyes-doc-en|expeyes-doc
Description: hardware & software framework for developing science experiments
 This package provides high level interfaces for making science experiments
 with an ExpEYES box.
 .
 ExpEYES is from the PHOENIX project of Inter-University Accelerator
 Centre, New Delhi. It is a hardware & software framework for
 developing science experiments, demonstrations and projects and learn
 science and engineering by exploration. Capable of doing real time
 measurements and analysing the data in different ways. Analog
 voltages are measured with 0.025% resolution and time intervals with
 one microsecond. This project is based on Free and Open Source
 software, mostly written in Python programming language. The hardware
 design is also open.

Package: eyes17
Architecture: all
Depends: python, python3, ${misc:Depends},
 python-expeyes (= ${source:Version}), python-qgis,
 python3-pyqtgraph, python3-pyqt5,
 python-configparser
Recommends: python-numpy, python-scipy, python3-numpy, python3-scipy,
 python3-pyqt5.qtwebengine
Description: hardware & software framework for developing science experiments
 This package provides high level interfaces for making science experiments
 with an ExpEYES-17 box.
 .
 ExpEYES-17 is from the PHOENIX project of Inter-University Accelerator
 Centre, New Delhi. It is a hardware & software framework for
 developing science experiments, demonstrations and projects and learn
 science and engineering by exploration. Capable of doing real time
 measurements and analysing the data in different ways. When compared with
 previous ExpEYES boxes (Expeyes, Expeyes-Junior), ExpEYES-17 is richer
 in various features: multiple soft input ranges, more flexible wave
 generator, better time resolution, better voltage resolution, supports
 seamlessly cheap I2C sensors.


Package: libej0
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: expeyes
Description: hardware & software framework for developing science experiments
 This package provides a library usable to drive an expEYES box, and is
 necessary to run clib-based software which addresses this box.
 .
 ExpEYES is from the PHOENIX project of Inter-University Accelerator
 Centre, New Delhi. It is a hardware & software framework for
 developing science experiments, demonstrations and projects and learn
 science and engineering by exploration.

Package: libej-dev
Architecture: any
Depends: ${misc:Depends},
 libej0 (>= ${source:Version}), libej0 (<< ${source:Version}.1~)
Section: libdevel
Description: hardware & software framework for developing science experiments
 This package provides headers and links to develop software in C language
 addressing an expEYES box.
 .
 ExpEYES is from the PHOENIX project of Inter-University Accelerator
 Centre, New Delhi. It is a hardware & software framework for
 developing science experiments, demonstrations and projects and learn
 science and engineering by exploration.

Package: expeyes-clib
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libej0
Recommends: expeyes
Description: hardware & software framework for developing science experiments
 This package provides interfaces written in C language for making
 science experiments with an ExpEYES box.
 .
 ExpEYES is from the PHOENIX project of Inter-University Accelerator
 Centre, New Delhi. It is a hardware & software framework for
 developing science experiments, demonstrations and projects and learn
 science and engineering by exploration. This package provides approximately
 the same features than the package expeyes, but its sources are in C language.

Package: expeyes-firmware-dev
Architecture: all
Section: devel
Depends: ${misc:Depends}
Recommends: gcc-avr, binutils-avr, uisp
Description: hardware & software framework for developing science experiments
 This package provides high level interfaces for making science experiments
 with an ExpEYES box.
 .
 ExpEYES is from the PHOENIX project of Inter-University Accelerator
 Centre, New Delhi. It is a hardware & software framework for
 developing science experiments, demonstrations and projects and learn
 science and engineering by exploration. Capable of doing real time
 measurements and analysing the data in different ways. Analog
 voltages are measured with 0.025% resolution and time intervals with
 one microsecond. This project is based on Free and Open Source
 software, mostly written in Python programming language. The hardware
 design is also open.


Package: python-expeyes
Section: python
Architecture: all
Depends: python, python3, ${misc:Depends},
 python3-scipy, python3-serial (>= 2.6),
 python-scipy, python-serial (>= 2.6)
Provides: python3-expeyes
Recommends: udev
Description: Python library for expeyes
 This package provides low level interfaces for making science experiments
 with an ExpEYES box. The library allows one to develop new programs easily
 .
 ExpEYES is from the PHOENIX project of Inter-University Accelerator
 Centre, New Delhi. It is a hardware & software framework for
 developing science experiments, demonstrations and projects and learn
 science and engineering by exploration. Capable of doing real time
 measurements and analysing the data in different ways. Analog
 voltages are measured with 0.025% resolution and time intervals with
 one microsecond. This project is based on Free and Open Source
 software, mostly written in Python programming language. The hardware
 design is also open.

Package: expeyes-web
Section: web
Architecture: all
Depends: python, python3, ${misc:Depends},
 python-expeyes, libjs-jquery, libjs-bootstrap
Description: Web interface for expEYES-Junior
 This package allows you to access remotely to a server which drives an
 expEYES-Jr box. This extends the power of expEYES.

Package: microhope
Architecture: any
Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends},
 expeyes, python-tk, avr-libc, avrdude, gnome-icon-theme,
 python-wxgtk3.0
Recommends: gnome-human-icon-theme
Description: hardware & software framework to learn microcontrollers
 This package provides a set of example programs to drive an ATmega32
 microcontroller, together with a tutorial explaining how to compile
 them, upload them to the microcontroller, and how to make simple and
 more complicated modifications. It is meant to be used with the
 "microhope" board which makes it easy to upload code to the microcontroller
 through a USB link.
 .
 In addition to examples there is a library to drive all of the peripherals
 available on the "microhope" board: LED, LCD display, ADC connected to
 sensors.
 .
 A Graphic User Interface is provided too.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_BUILD_MAINT_OPTIONS=reproducible=-timeless

LD_LIBRARY_PATH += debian/libexpeyes1/usr/lib
export DEB_BUILD_HARDENING=1

%:
	dh $@ --with python2,python3

HOME = $(CURDIR)/debian/build
override_dh_auto_build-arch:
	mkdir $(CURDIR)/debian/build
	make all HOME=$(HOME)
	rm -rf $(CURDIR)/debian/build

override_dh_auto_build-indep:
	make all_indep

override_dh_auto_clean:
	dh_auto_clean
	rm -rf $(HOME)

override_dh_install:
	make install_indep DESTDIR=$(CURDIR)/debian/tmp
	dh_install
	make -C po install DESTDIR=$(CURDIR)/debian/expeyes
	make -C microhope/po install DESTDIR=$(CURDIR)/debian/microhope
	# prevents lintian error about PYCACHE
	find $(CURDIR)/debian/ -type d -name __pycache__| xargs rm -rf;
	# renames the documentation for eyes17
	DocDir=$(CURDIR)/debian/eyes17/usr/share/expeyes/doc/; \
	  [ ! -f $${DocDir}/eyes17-a4.pdf ] || mv  $${DocDir}/eyes17-a4.pdf $${DocDir}/en-eyes17.pdf

## expeyes 4.4.3+dfsg

=== Makefile ===
--- 
+++ 
@@ -74,6 +74,8 @@
 	find $(DESTDIR)/usr/share/expeyes -type f -exec chmod 644 {} \;
 	# for expeyes-clib
 	ln -s /usr/lib/expeyes $(DESTDIR)/usr/share/expeyes/clib
+	# for eyes17 (documentation and help files)
+	make -C ExpEYES17/UserManual install DESTDIR=$(DESTDIR)
 
 install_indep:
 	for d in $(SUBDIRS_INDEP); do \

=== microhope/microhope-doc/Makefile ===
DESTDIR =
SOURCES = $(shell ls *.lyx)
PDFS    = $(patsubst %.lyx, %.pdf, $(SOURCES))
TEXS    = $(patsubst %.lyx, %.tex, $(SOURCES))
WARNING = LaTeX Warning: Label(s) may have changed. Rerun
DOCDIR = $(DESTDIR)/usr/share/microhope/doc

DB2MAN = /usr/share/sgml/docbook/stylesheet/xsl/docbook-xsl/manpages/docbook.xsl
XP     = xsltproc --nonet --param man.charmap.use.subset "0"

all: touch-existing-pdf microhope-en.pdf

touch-existing-pdf:
	for f in $$(ls *.pdf); do touch $$f; done

manpages: ../create-microhope-env.1 ../microhope.1 microhope-doc.1 ../uhope.1

../create-microhope-env.1: ../create-microhope-env.xml
	cd ..; $(XP) $(DB2MAN) create-microhope-env.xml

../microhope.1: ../microhope.xml
	cd ..; $(XP) $(DB2MAN) microhope.xml

../uhope.1: ../uhope.xml
	cd ..; $(XP) $(DB2MAN) uhope.xml

microhope-doc.1: microhope-doc.xml
	$(XP) $(DB2MAN) $<

microhope-en.pdf: $(PDFS)
	cp microhope.pdf $@

install: all
	mkdir -p $(DOCDIR)
	install -m 644 microhope-en.pdf  $(DOCDIR)/

%.pdf: %.lyx
	@echo -n "Exporting $< to a LaTeX file ... "
	@lyx -e latex -userdir . $< >/dev/null 2>&1
	@echo Done.
	@echo -n "Running PDFLaTeX"
	@ok=0; lyxfile=$<; \
	logfile=$$(echo $${lyxfile} | sed 's/\.lyx/.log/'); \
	texfile=$$(echo $${lyxfile} | sed 's/\.lyx/.tex/'); \
	while [ $$ok = 0 ]; do \
	  echo -n " ... "; \
	  pdflatex -interaction=nonstopmode $${texfile} >/dev/null 2>&1 || true; \
	  if ! grep -q "$(WARNING)" $${logfile}; then \
	    ok=1; \
	  fi; \
	done
	@echo Done.

clean:
	[ -f ../../keep-expeyes-tex ] || rm -f *.tex
	rm -rf *~ *.aux *.log *.toc *.lof *.lst cache lyxrc.*

distclean: clean
	[ -e ../../keep-expeyes-docs  ] || rm -f $(PDFS) microhope-*.pdf
	rm -f pics/*.eps

.PHONY: clean distclean all manpages install touch-existing-pdf

=== ExpEYES17/Firmware/EJV2_15DEC/Makefile ===
#
#  There exist several targets which are by default empty and which can be 
#  used for execution of your targets. These targets are usually executed 
#  before and after some main targets. They are: 
#
#     .build-pre:              called before 'build' target
#     .build-post:             called after 'build' target
#     .clean-pre:              called before 'clean' target
#     .clean-post:             called after 'clean' target
#     .clobber-pre:            called before 'clobber' target
#     .clobber-post:           called after 'clobber' target
#     .all-pre:                called before 'all' target
#     .all-post:               called after 'all' target
#     .help-pre:               called before 'help' target
#     .help-post:              called after 'help' target
#
#  Targets beginning with '.' are not intended to be called on their own.
#
#  Main targets can be executed directly, and they are:
#  
#     build                    build a specific configuration
#     clean                    remove built files from a configuration
#     clobber                  remove all built files
#     all                      build all configurations
#     help                     print help mesage
#  
#  Targets .build-impl, .clean-impl, .clobber-impl, .all-impl, and
#  .help-impl are implemented in nbproject/makefile-impl.mk.
#
#  Available make variables:
#
#     CND_BASEDIR                base directory for relative paths
#     CND_DISTDIR                default top distribution directory (build artifacts)
#     CND_BUILDDIR               default top build directory (object files, ...)
#     CONF                       name of current configuration
#     CND_ARTIFACT_DIR_${CONF}   directory of build artifact (current configuration)
#     CND_ARTIFACT_NAME_${CONF}  name of build artifact (current configuration)
#     CND_ARTIFACT_PATH_${CONF}  path to build artifact (current configuration)
#     CND_PACKAGE_DIR_${CONF}    directory of package (current configuration)
#     CND_PACKAGE_NAME_${CONF}   name of package (current configuration)
#     CND_PACKAGE_PATH_${CONF}   path to package (current configuration)
#
# NOCDDL


# Environment 
MKDIR=mkdir
CP=cp
CCADMIN=CCadmin
RANLIB=ranlib


# build
build: .build-post

.build-pre:
# Add your pre 'build' code here...

.build-post: .build-impl
# Add your post 'build' code here...


# clean
clean: .clean-post

.clean-pre:
# Add your pre 'clean' code here...
# WARNING: the IDE does not call this target since it takes a long time to
# simply run make. Instead, the IDE removes the configuration directories
# under build and dist directly without calling make.
# This target is left here so people can do a clean when running a clean
# outside the IDE.

.clean-post: .clean-impl
# Add your post 'clean' code here...


# clobber
clobber: .clobber-post

.clobber-pre:
# Add your pre 'clobber' code here...

.clobber-post: .clobber-impl
# Add your post 'clobber' code here...


# all
all: .all-post

.all-pre:
# Add your pre 'all' code here...

.all-post: .all-impl
# Add your post 'all' code here...


# help
help: .help-post

.help-pre:
# Add your pre 'help' code here...

.help-post: .help-impl
# Add your post 'help' code here...



# include project implementation makefile
include nbproject/Makefile-impl.mk

# include project make variables
include nbproject/Makefile-variables.mk

=== debian/changelog ===
expeyes (4.4.3+dfsg-1~bpo9+1) stretch-backports; urgency=medium

  * initiated a backport
  * lowered Standards-Version
  * modified dependencies of eyes17
  * modified the command bin/eyes17 to use python2

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 13 Jul 2018 15:22:28 +0200

expeyes (4.4.3+dfsg-1) unstable; urgency=medium

  * added Frans Spiesschaert's nl.po file. Closes: #898869
  * new upstream release.
  * added the dependency eyes17 -> python3-pyqt5.qtwebkit, removed
    the dependency eyes17 -> python-qgis.

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 13 Jul 2018 14:17:26 +0200

expeyes (4.4.2+dfsg-1) unstable; urgency=medium

  * upgraded to upstream new version
  * applied the patch from Adriano Rafael. Closes: #903356
  * upgraded Standards-Version to 4.1.5
  * modified the way to install eyes17 documentation and help files
  * fixed lintian warnings/errors

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 09 Jul 2018 13:32:47 +0200

expeyes (4.3.7+dfsg-2) unstable; urgency=medium

  * added debian/po/ru.po, thanks to Lev Lamberov.
    Closes: #898163

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 08 May 2018 19:28:34 +0200

expeyes (4.3.7+dfsg-1) unstable; urgency=medium

  * New upstream release: to fix an issue with file saving, due to
    changes of __builtin__ since python2
  * Upgraded Standards-Version: 4.1.4
  * added ExpEYES17/UserManual/fr/eyes17-a4.pdf in d/source/include-binaries
  * modified the installation rules for the PDF documents of eyes17

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 05 May 2018 12:12:17 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: expeyes
 Section: science
-Priority: extra
+Priority: optional
 Maintainer: Georges Khaznadar <georgesk@debian.org>
-Build-Depends: debhelper (>= 10), quilt, python3-all, python-all,
+Build-Depends: debhelper (>= 10), quilt,
+ python3-all, python-all, dh-python,
  gcc-avr, binutils-avr, avr-libc (>=1:1.8.0+Atmel3.5.0),
  pkg-config, libgtk2.0-dev, x11proto-randr-dev (>= 1.5.0),
  pyqt4-dev-tools, qt4-linguist-tools
-X-Python-Version: >= 2.5
-X-Python3-Version: >= 3.2
-Standards-Version: 4.1.3
+Standards-Version: 3.9.6
 Homepage: http://expeyes.in/
+Vcs-Browser: https://salsa.debian.org/georgesk/expeyes
+Vcs-Git: https://salsa.debian.org/georgesk/expeyes.git
 
 Package: expeyes
 Architecture: all
@@ -37,11 +38,10 @@
 Package: eyes17
 Architecture: all
 Depends: python, python3, ${misc:Depends},
- python-expeyes (= ${source:Version}), python-qgis,
- python3-pyqtgraph, python3-pyqt5,
+ python-expeyes (= ${source:Version}),
+ python-pyqtgraph, python-qt4, python-qgis,
  python-configparser
-Recommends: python-numpy, python-scipy, python3-numpy, python3-scipy,
- python3-pyqt5.qtwebengine
+Recommends: python-numpy, python-scipy, python-numpy, python-scipy
 Description: hardware & software framework for developing science experiments
  This package provides high level interfaces for making science experiments
  with an ExpEYES-17 box.

=== debian/rules ===
--- 
+++ 
@@ -30,6 +30,9 @@
 	dh_auto_clean
 	rm -rf $(HOME)
 
+DocDir = $(CURDIR)/debian/eyes17/usr/share/expeyes/doc
+DocDirSource = $(CURDIR)/ExpEYES17/UserManual
+
 override_dh_install:
 	make install_indep DESTDIR=$(CURDIR)/debian/tmp
 	dh_install
@@ -37,6 +40,3 @@
 	make -C microhope/po install DESTDIR=$(CURDIR)/debian/microhope
 	# prevents lintian error about PYCACHE
 	find $(CURDIR)/debian/ -type d -name __pycache__| xargs rm -rf;
-	# renames the documentation for eyes17
-	DocDir=$(CURDIR)/debian/eyes17/usr/share/expeyes/doc/; \
-	  [ ! -f $${DocDir}/eyes17-a4.pdf ] || mv  $${DocDir}/eyes17-a4.pdf $${DocDir}/en-eyes17.pdf
